
{% extends 'bases/home.html' %}

{% load static %}

{% block content %}
    <section class="content">
        <div class="content-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header">
                          <h3 class="card-title text-uppercase">Listado de pagos realizados</h3>
                          <div class="d-flex justify-content-end">
                            <a href="{% url 'app_clientes:pagos_new' %}">
                              <button class="btn btn-secondary" style="font-size: 14px; font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif; font-weight: 600;">
                                <i class="fa fa-money-bill"></i><span> Agregar pago</span>
                              </button>
                            </a>
                          </div>
                        </div>
                        <!-- /.card-header -->
                        <div class="card-body">

                          {% if not obj %}
                            <div class="alert alert-info">No hay pagos registrados</div>           
                          {% else %}

                            <table id="example1" class="table table-bordered table-striped">
                              <thead>
                              <tr class="table-info" style="font-size: small;">
                                <th>ID</th>
                                <th>CLIENTE</th>
                                <th>FECHA DE EMISIÓN</th>  
                                <th>CONCEPTO</th>                              
                                <th>TOTAL</th>                               
                                <th>NOTAS</th>
                                <th>ACCIONES</th>
                              </tr>
                              </thead>
                              <tbody>
                                {% for item in obj %}
                                  <!-- registros de clientes -->
                                  <tr class="text-secondary" style="font-size: small; font-family: Nunito, system-ui, -apple-system, BlinkMacSystemFont">                                                                    
                                      <td>{{ item.id }}</td>
                                      <td>{{ item.cliente }}</td>
                                      
                                      {% if item.fecha_de_emision %}
                                        <td>{{ item.fecha_de_emision }}</td>
                                      {% else %}
                                        <td></td>
                                      {% endif %}
                                        
                                      {% if item.concepto %}
                                        <td>{{ item.concepto }}</td> 
                                      {% else %}
                                        <td></td>
                                      {% endif %}

                                      {% if item.total %}
                                        <td>{{ item.total }}</td> 
                                      {% else %}
                                        <td></td>
                                      {% endif %}

                                      {% if item.notas %}
                                        <td>{{ item.notas }}</td> 
                                      {% else %}
                                        <td></td>
                                      {% endif %}
                                                                                                                                                 
                                      <td>
                                        <a href="{% url 'app_clientes:pagos_edit' item.id %}">
                                          <button class="btn btn-primary bg-warning btn-outline-light btn-sm" >
                                            <i class="fa fa-edit"></i>
                                          </button>
                                        </a>

                                        <a href="{% url 'app_clientes:pagos_delete' item.id %}">
                                          <button class="btn btn-primary bg-danger btn-outline-light btn-sm">
                                            <i class="fa fa-trash-alt"></i>
                                          </button>  
                                        </a>                                                                            
                                      </td>                                                                      
                                  </tr>
                                  {% endfor %}                              
                              
                              </tbody>                            
                            </table>
                            <!-- /.table -->
                            {% endif %}
                        </div>
                        <!-- /.card-body -->
                      </div>
                      <!-- /.card -->
                    </div>
                    <!-- /.col -->
                </div>
            </div>
        </div>
    </section>
{% endblock content %}

    
    